import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import { Storage } from '@ionic/storage';


@Injectable()
export class LecturesProvider {

  private isInitialized: boolean = false;
  times: any[] = []
  lecturesVersion: string;
  lecturesData: any;
  initial: any = null;
  source: String = "";
  constructor(public http: Http, public storage: Storage) {
    console.log("Lectures Provider instatiated");
    if (!this.initial){
    storage.ready().then(() => {

        storage.get("lecturesVersion").then((version) => {
          if (version){
            console.log('lectures version: '+ version);
            this.lecturesVersion = version;
            storage.get("lecturesData").then((schedule) => {
              this.lecturesData = JSON.parse(schedule);
              this.source = "localstorage"
            });
         } else {
              console.log('no lectures data: new install');
              http.get('assets/data/lectures.json').map(res => res.json()).subscribe(
                result => {
                  this.lecturesData=result.schedule;
                  this.lecturesVersion = result.version;
                  this.initial = true;
                  console.log("Lectures loaded from json");
                  storage.set('lecturesData',JSON.stringify(this.lecturesData));
                  storage.set('lecturesVersion',this.lecturesVersion);
                    this.source = "json"
                },
                err =>{
                  console.error("Error : "+err);
                } ,
                () => {
                  // this.room = tlecturesData[0].name
                  console.log('getData completed');
                }
              );

              }
        });
        });

      }
  }



}

export function LecturesProviderFactory(http: Http, storage: Storage){

}
